Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-38867

Google discontinued Google Spell

    XMLWordPrintable

    Details

    • Testing Instructions:
      Hide

      1/ go to tinymce spellcheck subplugin settings - on upgraded sites it should show invalid value, on new installs it should be on 'none'
      2/ get IE8 or 9 and verify the spell checker plugin appears only if you select pspell engine (note: in 2.4 you can use nay browser because it does not limit the spellchecker to IE only)

      Show
      1/ go to tinymce spellcheck subplugin settings - on upgraded sites it should show invalid value, on new installs it should be on 'none' 2/ get IE8 or 9 and verify the spell checker plugin appears only if you select pspell engine (note: in 2.4 you can use nay browser because it does not limit the spellchecker to IE only)
    • Affected Branches:
      MOODLE_23_STABLE, MOODLE_24_STABLE, MOODLE_25_STABLE
    • Fixed Branches:
      MOODLE_24_STABLE, MOODLE_25_STABLE
    • Pull from Repository:
    • Pull Master Branch:
      w30_MDL-38867_m26_gspell

      Description

      It appears that all requests to the Google Spell engine now fail. It's possible that this is temporary, but they did stop issuing API keys almost 4 years ago, so this was coming.

      Google Spell needs to be removed from the editor_tinymce | spellengine options, and the value changed.

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                5 Vote for this issue
                Watchers:
                15 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  9/Sep/13